#pragma once

#include "CoreMinimal.h"
#include "EPlayerRole.h"
#include "EAIDifficultyLevel.h"
#include "PlayerRankData.h"
#include "PlayerRoundStartEventData.generated.h"

USTRUCT(BlueprintType)
struct FPlayerRoundStartEventData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	EPlayerRole PlayerRole;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsABot;

	UPROPERTY(BlueprintReadWrite, Transient)
	EAIDifficultyLevel BotDifficultyLevel;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString BotName;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString BotMirrorID;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 CharacterId;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 PlayerRankForRole;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 PrestigeLevel;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 BloodWebLevel;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 Pips;

	UPROPERTY(BlueprintReadWrite, Transient)
	TArray<FPlayerRankData> PlayerRankDataArray;

public:
	DEADBYDAYLIGHT_API FPlayerRoundStartEventData();
};

FORCEINLINE uint32 GetTypeHash(const FPlayerRoundStartEventData) { return 0; }
